Skip to content

developer.notifications

GET
/v1/developer/notifications
curl --request GET \
--url https://example.com/v1/developer/notifications \
--header 'Authorization: Bearer <token>'
before
string

Success

Media typeapplication/json
Array<object>
object
id
required
string
cardUrl
required
Any of:
string
kind
required
string
Allowed values: IssueAppeared IssueResolved AccessChanged
issue
required
Any of:
object
code
required
string
impacts
Array<string>
Allowed values: discovery indexing connection
stage
required
string
Allowed values: publication catalog card indexing
severity
required
string
Allowed values: blocking suggestion
source
required
string
fieldPath
string
message
required
string
repair
required
string
reason
required
Any of:
string
reportId
required
Any of:
string
createdAt
required
number
readAt
required
Any of:
number

Example

[
{
"kind": "IssueAppeared",
"issue": {
"impacts": [
"discovery"
],
"stage": "publication",
"severity": "blocking"
}
}
]

DeveloperInputInvalid | OrganizationRequired

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: DeveloperInputInvalid
message
required
string
keys
Array<string>

Example

{
"_tag": "DeveloperInputInvalid"
}

AuthenticationRequired

Media typeapplication/json
object
_tag
required
string
Allowed values: AuthenticationRequired

Example

{
"_tag": "AuthenticationRequired"
}

DeveloperRestricted | DeveloperForbidden | PermissionDenied | MembershipRequired | ForbiddenOrigin

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: DeveloperRestricted
restriction
required
object
cardUrl
required
string
reason
required
string
>= 1 characters
appealUrl
required
string

Example

{
"_tag": "DeveloperRestricted"
}

DeveloperNotFound

Media typeapplication/json
object
_tag
required
string
Allowed values: DeveloperNotFound

Example

{
"_tag": "DeveloperNotFound"
}

DeveloperConflict

Media typeapplication/json
object
_tag
required
string
Allowed values: DeveloperConflict
reason
required
string

Example

{
"_tag": "DeveloperConflict"
}

DeveloperUnavailable | AuthorizationUnavailable | AuthenticationUnavailable

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: DeveloperUnavailable

Example

{
"_tag": "DeveloperUnavailable"
}